import QtQuick 1.0
Image{
    id: purchase


    source: "box1.png"
    signal type31()
    signal type41()
    signal type61()
    property color col: "#a4f117"
    property int rotationDuration: 400
    property int scaleDuration: 500
    property int opacityDuration: 200
    property int rotationAngle: 370
    property int iconH: 55
    property int iconW: 55
    property int fontSize: 12
    property double numberOpacity: .5
    property double scaleFactor: 1.6
    //property alias textPlay: textPlay
    //property alias textKabbot:textKabbot
    //property alias textPass: textPass
    Behavior on opacity {NumberAnimation{duration:50}}

    function init()
    {
        if(lang=="a")
        {
            chooseGameType.source="choose-game-type-a.png";
            play.source="31-a.png";
            kabbot.source="41-a.png";
            pass.source="61-a.png";
        }
        else
        {
            chooseGameType.source="choose-game-type.png";
            play.source="31.png";
            kabbot.source="41.png";
            pass.source="61.png";
        }
    }

    Image {
        id: chooseGameType
        x: 50
        y: 40
        source: "choose-game-type.png"
    }
    Image
    {
        id: play
        x: 82
        y: 150
        source: "31.png"
        smooth: true
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=1.2;
            onReleased: parent.scale=1;
            onClicked: type31();
        }
    }

//    property alias kabbot: kabbot
    Image
    {
        id: kabbot
        x: 207
        y: 149
        smooth: true
        source: "41.png"
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=1.2;
            onReleased: parent.scale=1;
            onClicked: type41();
        }
    }

    Image
    {
        id: pass
        x: 331
        y: 150
        smooth: true
        source: "61.png"
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=1.2;
            onReleased: parent.scale=1;
            onClicked: type61();
        }
    }
}
