import QtQuick 1.0
Image{
    id: menu
    source: "box2.png"
    signal backClicked();
    signal lastScoreClicked();
    signal cardRankesClicked();
    signal newGameClicked();
    //property alias sound: textSound.text
    //property alias viewScore: textViewScore.text
    //property alias cardRanks: texCardRanks.text
    //property alias textSound: textSound

    Behavior on opacity {NumberAnimation{duration:1000}}
    Image//resume
    {
        id: resume
        x: 183
        y: 19
        source:"backIcon.png"

        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8;
            onReleased: parent.scale=1;
            onClicked: {menu.opacity=0;pause=0;}
        }
    }
    Image//main menu
    {
        id: mainMenu
        x: 89
        y: 208
        source:"mainMenuIcon.png"
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8;
            onReleased: parent.scale=1;
            onClicked: {//mainmenu
                backClicked();
            }
        }
    }
    Image//main menu
    {
        id: newGame
        x: 86
        y: 70
        source:"newgame.png"
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8;
            onReleased: parent.scale=1;
            onClicked: {
                newGameClicked();
            }
        }
    }
}
