import QtQuick 1.0
Image{
    id: purchase
    source:"scoreMenu.png"
    Behavior on opacity {NumberAnimation{duration:1000}}
    property alias scoreText1: helpText1
    property alias scoreText2: helpText2

    property alias team1ScoreTot: team1ScoreTot
    property alias team2ScoreTot: team2ScoreTot
    signal close()
    Image {
        id: mma1
        x: 68
        y: 339
        source: "line.png"
    }
    Image {
        id: backImg
        x: 720
        y: 30
        source: "backIcon.png"
        MouseArea{
                    anchors.fill: parent
                    onClicked:
                    {
                        purchase.opacity=0;
                        close();
                    }
                }
    }
    function init()
    {
        if(lang=="a")
        {
            team1.source="team1-a.png";
            team2.source="team2-a.png";
        }
        else
        {
            team1.source="team1.png";
            team2.source="team2.png";
        }
    }

    Image {
        id: team1
        x: 161
        y: 53
        source: "team1.png"
    }
    Image {
        id: team2
        x: 526
        y: 53
        source: "team2.png"
    }

    Flickable {
        id: flickArea
        x: 105
        y: 136
        width: 644
        height: 202
        contentWidth: parent.width; contentHeight: helpText1.height
         flickableDirection: Flickable.VerticalFlick
         clip: true

         TextEdit{
              id: helpText1
              x: 33
              y: 0
               wrapMode: TextEdit.WordWrap
               width:parent.width/4;
               readOnly:true
              text:""
              horizontalAlignment: Text.AlignHCenter
              verticalAlignment: Text.AlignVCenter
              font.pixelSize: 33
        }
         TextEdit{
              id: helpText2
              x: 275
              y: 0
               wrapMode: TextEdit.WordWrap
               width:parent.width/2;
               readOnly:true
               text:""
              horizontalAlignment: TextEdit.AlignHCenter
               font.pixelSize: 33
               verticalAlignment: Text.AlignVCenter
        }
    }
    Text {
        id: team1ScoreTot
        x: 58
        y: 372
        width: 372
        height: 50
        text: "0"
        font.bold: true
        font.pixelSize: 33
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }

    Text {
        id: team2ScoreTot
        x: 430
        y: 372
        width: 368
        height: 50
        text: "0"
        font.bold: true
        font.pixelSize: 33
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }

    Image {
        id: mma2
        x: 440
        y: 339
        source: "line.png"
    }


}
