import QtQuick 1.0
Rectangle{
    id: helpMenu
    width: 854
    height: 480
    signal cancelClicked();
    Rectangle{
        anchors.fill: parent
        color: "black"
    }
    Behavior on opacity {NumberAnimation{duration:1000}}
    property int ctr: 1
    function init()
    {
        ctr=1;
        im1.x=0;
        if(lang=="a")
        {
            im1.source="helpMenu/help1-a.png";
            im2.source="helpMenu/help2-a.png";
            im3.source="helpMenu/help3-a.png";
            im4.source="helpMenu/help4-a.png";
            im5.source="helpMenu/help5-a.png";
        }
        else
        {
            im1.source="helpMenu/help1.png";
            im2.source="helpMenu/help2.png";
            im3.source="helpMenu/help3.png";
            im4.source="helpMenu/help4.png";
            im5.source="helpMenu/help5.png";
        }
    }
    Image {
        id: im1
        source: "helpMenu/help1.png"
        //anchors.right: im2.left
        Behavior on x {NumberAnimation{duration:500}}
        MouseArea{
            //anchors.fill: parent
            width: parent.width*5
            height: parent.height
            drag.target: parent
            drag.maximumX: 8000
            //drag.minimumX: 0
            drag.maximumY: 0
            drag.minimumY: 0
            drag.filterChildren: true
            onPressed: {

            }
            onReleased: {
                console.log(parent.x);
                //if(parent.x>300)
                  //  parent.x=854;
                //else

                if(ctr==1)
                {
                    if(parent.x<-300)
                    {
                        parent.x=-854;
                        ctr=2;
                    }
                    else
                    {
                        parent.x=0;
                        ctr=1;
                    }
                }
                else if(ctr==2)
                {
                    if(parent.x<-300-854)
                    {
                        parent.x=-854*2;
                        ctr=3;
                    }
                    else if(parent.x> -854+300)
                    {
                        parent.x=0;
                        ctr=1;
                    }
                    else
                    {
                        parent.x=-854;
                        ctr=2;
                    }
                }
                else if(ctr==3)
                {
                    if(parent.x<-300-854*2)
                    {
                        parent.x=-854*3;
                        ctr=4;
                    }
                    else if(parent.x> -854*2+300)
                    {
                        parent.x=-854;
                        ctr=2;
                    }
                    else
                    {
                        parent.x=-854*2;
                        ctr=3;
                    }
                }
                else if(ctr==4)
                {
                    if(parent.x<-300-854*3)
                    {
                        //parent.x=-854*4;
                        //ctr=5;
                        parent.x=-854*4;
                        ctr=5;
                    }
                    else if(parent.x> -854*3+300)
                    {
                        parent.x=-854*2;
                        ctr=3;
                    }
                    else
                    {
                        parent.x=-854*3;
                        ctr=4;
                    }
                }
                else if(ctr==5)
                {
                    if(parent.x<-300-854*4)
                    {
                        parent.x=-854*4;
                        ctr=5;
                    }
                    else if(parent.x> -854*4+300)
                    {
                        parent.x=-854*3;
                        ctr=4;
                    }
                    else
                    {
                        parent.x=-854*4;
                        ctr=5;
                    }
                }
                console.log("ctr  "+ctr);
            }
        }
    }
    Image {
        id: im2
        source: "helpMenu/help2.png"
        Behavior on x {NumberAnimation{duration:500}}
        anchors.left: im1.right
    }
    Image {
        id: im3
        source: "helpMenu/help3.png"
        Behavior on x {NumberAnimation{duration:500}}
        anchors.left: im2.right
    }
    Image {
        id: im4
        source: "helpMenu/help4.png"
        Behavior on x {NumberAnimation{duration:500}}
        anchors.left: im3.right
    }
    Image {
        id: im5
        source: "helpMenu/help5.png"
        Behavior on x {NumberAnimation{duration:500}}
        anchors.left: im4.right
    }
    Image {
        id: back
        x: 738
        y: 19
        source: "backIcon.png"
        MouseArea{
            anchors.fill: parent
            onPressed: parent.opacity=.3;
            onReleased: parent.opacity=1;
            onClicked:
            {
                cancelClicked();
                im1.x=0;
            }
        }
    }

}

