import QtQuick 1.0
Image{
    id: purchase
    source: "box1.png"
    signal hClicked()
    signal dClicked()
    signal sClicked()
    signal cClicked()
    signal num7Clicked()
    signal num8Clicked()
    signal num9Clicked()
    signal num10Clicked()
    signal num11Clicked()
    signal num12Clicked()
    signal kabbotClicked()
    signal passClicked()
    signal playClicked()
    property color col: "#a4f117"
    property int rotationDuration: 400
    property int scaleDuration: 500
    property int opacityDuration: 200
    property int rotationAngle: 370
    property int iconH: 55
    property int iconW: 55
    property int fontSize: 12
    property double numberOpacity: .5
    property double scaleFactor: 1.6
    //property alias textPlay: textPlay
    //property alias textKabbot:textKabbot
    //property alias textPass: textPass
    Behavior on opacity {NumberAnimation{duration:50}}

    Image
    {
        id: kabbot
        x: 150
        y: 166
       source: "kaboot-a.png"
        smooth: true

        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=1.2;
            onReleased: parent.scale=1;
            onClicked: kabbotClicked();
        }
    }
    function resetPurchase()
    {
        num7.opacity=numberOpacity;
        num7.rotation=0;
        num7.scale=1;
        num8.opacity=numberOpacity;
        num8.rotation=0;
        num8.scale=1;
        num9.opacity=numberOpacity;
        num9.rotation=0;
        num9.scale=1;
        num10.opacity=numberOpacity;
        num10.rotation=0;
        num10.scale=1;
        num11.opacity=numberOpacity;
        num11.rotation=0;
        num11.scale=1;
        num12.opacity=numberOpacity;
        num12.rotation=0;
        num12.scale=1;

        if(lang=="a")
        {
            num7.source="7-a.png";
            num8.source="8-a.png";
            num9.source="9-a.png";
            num10.source="10-a.png";
            num11.source="11-a.png";
            num12.source="12-a.png";

            pass.source="pass-a.png";
            kabbot.source="kaboot-a.png";
            play.source="playP-a.png";
        }
        else
        {
            num7.source="7.png";
            num8.source="8.png";
            num9.source="9.png";
            num10.source="10.png";
            num11.source="11.png";
            num12.source="12.png";

            pass.source="pass.png";
            kabbot.source="kaboot.png";
            play.source="playP.png";
        }
    }

    property alias num7: num7
    property alias num8: num8
    property alias num9: num9
    property alias num10: num10
    property alias num11: num11
    property alias num12: num12
    Image {
        id: num7
        x: 45
        y: 38
        opacity: numberOpacity
        source: "7-a.png"
        smooth: true
        Behavior on scale {NumberAnimation{duration:scaleDuration/2}}
        Behavior on rotation {NumberAnimation{duration:rotationDuration}}
        Behavior on opacity {NumberAnimation{duration:opacityDuration}}

        MouseArea
        {
            x: -10
            y: -9
            width: 70
            height: 75
            anchors.bottomMargin: -11
            anchors.leftMargin: -10
            anchors.rightMargin: -5
            anchors.topMargin: -9
            anchors.fill: parent
            onPressed: {
                num7.opacity=numberOpacity;
                num7.rotation=0;
                num7.scale=1;
                num8.opacity=numberOpacity;
                num8.rotation=0;
                num8.scale=1;
                num9.opacity=numberOpacity;
                num9.rotation=0;
                num9.scale=1;
                num10.opacity=numberOpacity;
                num10.rotation=0;
                num10.scale=1;
                num11.opacity=numberOpacity;
                num11.rotation=0;
                num11.scale=1;
                num12.opacity=numberOpacity;
                num12.rotation=0;
                num12.scale=1;

                parent.scale=1.3;
                parent.opacity=1;
            }
            onClicked:
            {
                num7Clicked();
            }
        }
    }
    Image {
        id: num8
        x: 109
        y: 38
        opacity: numberOpacity
        source: "8-a.png"
        smooth: true
        Behavior on scale {NumberAnimation{duration:scaleDuration/2}}
        Behavior on rotation {NumberAnimation{duration:rotationDuration}}
        Behavior on opacity {NumberAnimation{duration:opacityDuration}}
        MouseArea
        {
            x: -5
            y: -9
            width: 65
            height: 75
            anchors.leftMargin: -5
            anchors.topMargin: -9
            anchors.rightMargin: -5
            anchors.bottomMargin: -11
            anchors.fill: parent
            onPressed: {
                num7.opacity=numberOpacity;
                num7.rotation=0;
                num7.scale=1;
                num8.opacity=numberOpacity;
                num8.rotation=0;
                num8.scale=1;
                num9.opacity=numberOpacity;
                num9.rotation=0;
                num9.scale=1;
                num10.opacity=numberOpacity;
                num10.rotation=0;
                num10.scale=1;
                num11.opacity=numberOpacity;
                num11.rotation=0;
                num11.scale=1;
                num12.opacity=numberOpacity;
                num12.rotation=0;
                num12.scale=1;

                parent.scale=1.3;
                parent.opacity=1;
            }
            onClicked:
            {
                num8Clicked();
            }
        }
    }
    Image {
        id: num9
        x: 176
        y: 40
        opacity: numberOpacity
        source: "9-a.png"
        smooth: true
        Behavior on scale {NumberAnimation{duration:scaleDuration/2}}
        Behavior on rotation {NumberAnimation{duration:rotationDuration}}
        Behavior on opacity {NumberAnimation{duration:opacityDuration}}

        MouseArea
        {
            x: -5
            y: -10
            width: 65
            height: 75
            anchors.leftMargin: -5
            anchors.rightMargin: -5
            anchors.topMargin: -10
            anchors.bottomMargin: -10
            anchors.fill: parent
            onPressed: {
                num7.opacity=numberOpacity;
                num7.rotation=0;
                num7.scale=1;
                num8.opacity=numberOpacity;
                num8.rotation=0;
                num8.scale=1;
                num9.opacity=numberOpacity;
                num9.rotation=0;
                num9.scale=1;
                num10.opacity=numberOpacity;
                num10.rotation=0;
                num10.scale=1;
                num11.opacity=numberOpacity;
                num11.rotation=0;
                num11.scale=1;
                num12.opacity=numberOpacity;
                num12.rotation=0;
                num12.scale=1;

                parent.scale=1.3;
                parent.opacity=1;
            }
            onClicked:
            {
                num9Clicked();
            }
        }
    }
    Image {
        id: num10
        x: 240
        y: 40
        opacity: numberOpacity
        source: "10-a.png"
        smooth: true
        Behavior on scale {NumberAnimation{duration:scaleDuration/2}}
        Behavior on rotation {NumberAnimation{duration:rotationDuration}}
        Behavior on opacity {NumberAnimation{duration:opacityDuration}}

        MouseArea
        {
            x: -5
            y: -10
            width: 65
            height: 75
            anchors.bottomMargin: -10
            anchors.leftMargin: -5
            anchors.rightMargin: -5
            anchors.topMargin: -10
            anchors.fill: parent
            onPressed: {
                num7.opacity=numberOpacity;
                num7.rotation=0;
                num7.scale=1;
                num8.opacity=numberOpacity;
                num8.rotation=0;
                num8.scale=1;
                num9.opacity=numberOpacity;
                num9.rotation=0;
                num9.scale=1;
                num10.opacity=numberOpacity;
                num10.rotation=0;
                num10.scale=1;
                num11.opacity=numberOpacity;
                num11.rotation=0;
                num11.scale=1;
                num12.opacity=numberOpacity;
                num12.rotation=0;
                num12.scale=1;

                parent.scale=1.3;
                parent.opacity=1;
            }
            onClicked:
            {
                num10Clicked();
            }
        }
    }
    Image {
        id: num11
        x: 323
        y: 38
        opacity: numberOpacity
        source: "11-a.png"
        smooth: true
        Behavior on scale {NumberAnimation{duration:scaleDuration/2}}
        Behavior on rotation {NumberAnimation{duration:rotationDuration}}
        Behavior on opacity {NumberAnimation{duration:opacityDuration}}

        MouseArea
        {
            x: -5
            y: -10
            width: 65
            height: 75
            anchors.bottomMargin: -10
            anchors.leftMargin: -5
            anchors.rightMargin: -5
            anchors.topMargin: -10
            anchors.fill: parent
            onPressed: {
                num7.opacity=numberOpacity;
                num7.rotation=0;
                num7.scale=1;
                num8.opacity=numberOpacity;
                num8.rotation=0;
                num8.scale=1;
                num9.opacity=numberOpacity;
                num9.rotation=0;
                num9.scale=1;
                num10.opacity=numberOpacity;
                num10.rotation=0;
                num10.scale=1;
                num11.opacity=numberOpacity;
                num11.rotation=0;
                num11.scale=1;
                num12.opacity=numberOpacity;
                num12.rotation=0;
                num12.scale=1;

                parent.scale=1.3;
                parent.opacity=1;
            }
            onClicked:
            {
                num11Clicked();
            }
        }
    }
    Image {
        id: num12
        x: 400
        y: 40
        opacity: numberOpacity
        source: "12-a.png"
        smooth: true
        Behavior on scale {NumberAnimation{duration:scaleDuration/2}}
        Behavior on rotation {NumberAnimation{duration:rotationDuration}}
        Behavior on opacity {NumberAnimation{duration:opacityDuration}}

        MouseArea
        {
            x: -5
            y: -10
            width: 68
            height: 75
            anchors.bottomMargin: -10
            anchors.leftMargin: -5
            anchors.rightMargin: -8
            anchors.topMargin: -10
            anchors.fill: parent
            onPressed: {
                num7.opacity=numberOpacity;
                num7.rotation=0;
                num7.scale=1;
                num8.opacity=numberOpacity;
                num8.rotation=0;
                num8.scale=1;
                num9.opacity=numberOpacity;
                num9.rotation=0;
                num9.scale=1;
                num10.opacity=numberOpacity;
                num10.rotation=0;
                num10.scale=1;
                num11.opacity=numberOpacity;
                num11.rotation=0;
                num11.scale=1;
                num12.opacity=numberOpacity;
                num12.rotation=0;
                num12.scale=1;

                parent.scale=1.3;
                parent.opacity=1;
            }
            onClicked:
            {
                num12Clicked();
            }
        }
    }
    Image
    {
        id: play
        x: 75
        y: 97
        source: "playP-a.png"
        smooth: true
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=1.2;
            onReleased: parent.scale=1;
            onClicked: playClicked();
        }
    }

    property alias kabbot: kabbot


    Image
    {
        id: pass
        x: 317
        y: 95
        source: "pass-a.png"
        smooth: true
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=1.2;
            onReleased: parent.scale=1;
            onClicked: passClicked();
        }
    }
}
